<%
Dim Fy_Post,Fy_Get,Fy_In,Fy_Inf,Fy_Xh,Fy_db,Fy_dbstr,chulizhuru,fanhuiurl
if chulizhuru="" then
'--------定义部份------------------

'自定义需要过滤的字串,用 "|" 分隔
Fy_In = ""
'----------------------------------
%>

<%
Fy_Inf = split(Fy_In,"|")
'--------POST部份------------------
If Request.Form<>"" Then
 For Each Fy_Post In Request.Form
  For Fy_Xh=0 To Ubound(Fy_Inf)
   If Instr(LCase(Request.Form(Fy_Post)),Fy_Inf(Fy_Xh))<>0 Then
	'Response.Write "<Script Language=JavaScript>alert('系统提示↓\n\n您输入的数据中含有非法字符！请重新输入');</Script>"
	Response.Write "非法操作！系统做了如下记录↓<br>"
	Response.Write "操作ＩＰ："&Request.ServerVariables("REMOTE_ADDR")&"<br>"
	Response.Write "操作时间："&Now&"<br>"
	Response.Write "操作页面："&Request.ServerVariables("URL")&"<br>"
	Response.Write "提交方式：ＰＯＳＴ<br>"
	Response.Write "提交参数："&Fy_Post&"<br>"
	Response.Write "提交数据："&Request.Form(Fy_Post)
	'Response.Write "<script>history.go(-1)</script>"
	Response.End
    End If
  Next
 Next
End If
'----------------------------------

'--------GET部份-------------------
 If Request.QueryString<>"" Then
  For Each Fy_Get In Request.QueryString
   For Fy_Xh=0 To Ubound(Fy_Inf)
    If Instr(LCase(Request.QueryString(Fy_Get)),Fy_Inf(Fy_Xh))<>0 Then
	'Response.Write "<Script Language=JavaScript>alert('系统提示↓\n\n您输入的数据中含有非法字符请后退重新输入！');</Script>"
	Response.Write "非法操作！系统做了如下记录↓<br>"
	Response.Write "操作ＩＰ："&Request.ServerVariables("REMOTE_ADDR")&"<br>"	
	Response.Write "操作时间："&Now&"<br>"
	Response.Write "操作页面："&Request.ServerVariables("URL")&"<br>"
	Response.Write "提交方式：ＧＥＴ<br>"
	Response.Write "提交参数："&Fy_Get&"<br>"
	Response.Write "提交数据："&Request.QueryString(Fy_Get)
	'Response.Write "<script>history.go(-1)</script>"
	Response.End
    End If
   Next
  Next
 End If
end if
fanhuiurl=Request.ServerVariables("HTTP_REFERER")
%>